| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | Public Attributes | List of all members
nkGraphics::TargetDescriptor Class Referencefinal

Describes how a target should be addressed during rendering. More...

## Public Member Functions
| TargetDescriptor () noexcept
| TargetDescriptor (Texture *target) noexcept
| TargetDescriptor (Texture *target, unsigned int indexInTextureArray) noexcept
| TargetDescriptor (Texture *target, unsigned int indexInTextureArray, unsigned int mipIndex) noexcept

## Public Attributes
Texture * | _target
| The target texture to use.
unsigned int | _indexInTextureArray
| If the texture is an array, the index, in the array, of the texture to render to.
unsigned int | _mipIndex
| If the texture has mips, the mip to render to.

## Detailed Description

Describes how a target should be addressed during rendering.

This descriptor is used within the TargetOperations to specify color targets and their parameters.

## Constructor & Destructor Documentation

## ◆ TargetDescriptor() [1/4]

nkGraphics::TargetDescriptor::TargetDescriptor | ( |  | ) |
| noexcept

Default constructor.

## ◆ TargetDescriptor() [2/4]

nkGraphics::TargetDescriptor::TargetDescriptor | ( | Texture * | target | ) |
| noexcept

Texture constructor. Defaults to using the texture, with both array index and mip index set to 0.

Parameters

  target | The texture target to render to.

## ◆ TargetDescriptor() [3/4]

nkGraphics::TargetDescriptor::TargetDescriptor | ( | Texture * | target,
|  | unsigned int | indexInTextureArray
| ) |  |
| noexcept

Texture array index constructor. Defaults to using the texture at given arrya index, and mip index set to 0.

Parameters

  target | The texture target to render to.
  indexInTextureArray | The index of the subresource in the array to render to.

## ◆ TargetDescriptor() [4/4]

nkGraphics::TargetDescriptor::TargetDescriptor | ( | Texture * | target,
|  | unsigned int | indexInTextureArray,
|  | unsigned int | mipIndex
| ) |  |
| noexcept

Full constructor.

Parameters

  target | The texture target to render to.
  indexInTextureArray | The index of the subresource in the array to render to.
  mipIndex | The mip index to render to.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Compositors/TargetDescriptor.h